package com.qmth.teachcloud.mark.service;

import java.io.InputStream;

public interface MarkFileService {

	String getAnswerCardUri(Long examId, String coursePaperId, Integer number);

	String uploadAnswerCard(InputStream in, String md5, Long examId, String coursePaperId, Integer number);

	String getAdapteFileUri(Long examId, String coursePaperId, Integer cardNumber);

	String uploadAdapteFile(InputStream in, String md5, Long examId, String coursePaperId, Integer number);
	
	 String uploadSheet(InputStream ins, String md5, Long examId, Long batchId, String coursePaperId,String studentCode, Integer paperNumber,
	            Integer pageIndex);

	String getSheetUri(Long examId, String coursePaperId, String studentCode, Integer paperNumber, Integer pageIndex);

	String getPackageUri(Long examId, String coursePaperId, String packageCode, Integer packageNo);

	String uploadPackage(InputStream in, String md5, Long examId, String coursePaperId, String packageCode,
			Integer packageNo);
	String getScanLogUri(String schoolCode, String deviceCode, String fileName);

	String uploadScanLog(InputStream in, String md5, String schoolCode, String deviceCode, String fileName);
	String getDocumentUri(Long examId, String paperNumber, String documentType,
						  String fileName,String format);

	String uploadDocument(InputStream in, String md5, Long examId, String paperNumber, String documentType,
						  String fileName,String format) ;
}
